Bug 1434007 - Fedora 25 - Transparent Huge Page (THP) is not enabled on ppc64le / ppc64
Summary: Fedora 25 - Transparent Huge Page (THP) is not enabled on ppc64le / ppc64
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: ppc64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-03-20 14:20 UTC by IBM Bug Proxy
Modified: 2019-01-09 12:54 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:41:01 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 149999 None None None 2017-03-20 14:20 UTC

Description IBM Bug Proxy 2017-03-20 14:20:19 UTC

Comment 1 IBM Bug Proxy 2017-03-20 14:20:28 UTC
Fedora 25 - Transparent Huge Page (THP) is not enabled on ppc64le / ppc64

Steps:
1. Install F25 KVM guest
download ISO: http://mirrors.kernel.org/fedora-secondary/releases/25/Server/ppc64le/iso/Fedora-Server-dvd-ppc64le-25-1.2.iso

uname -a:
[root@localhost ~]# uname -a
Linux localhost.localdomain 4.8.6-300.fc25.ppc64le #1 SMP Wed Nov 2 16:25:53 UTC 2016 ppc64le ppc64le ppc64le GNU/Linux

[root@localhost ~]# cat /etc/os-release 
NAME=Fedora
VERSION="25 (Server Edition)"
ID=fedora
VERSION_ID=25
PRETTY_NAME="Fedora 25 (Server Edition)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:25"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=25
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=25
PRIVACY_POLICY_URL=https://fedoraproject.org/wiki/Legal:PrivacyPolicy
VARIANT="Server Edition"
VARIANT_ID=server

2. Configure guest backing up with hugepage
At the host:
$ sysctl vm.nr_hugepages=1000
vm.nr_hugepages = 1000

cat /proc/meminfo | grep -i Huge
HugePages_Total:    1000
HugePages_Free:     1000
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:      16384 kB

Guests backed up with HP: add in guest xml
<memoryBacking>
    <hugepages/>
</memoryBacking>

3. Start the guest.
cat /proc/meminfo | grep -i Huge
AnonHugePages:         0 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:      16384 kB

4. Check THP enabled
[root@localhost ~]# grep -i huge /boot/config-4.8.6-300.fc25.ppc64le 
CONFIG_CGROUP_HUGETLB=y
CONFIG_HAVE_ARCH_TRANSPARENT_HUGEPAGE=y
CONFIG_HUGETLB_PAGE_SIZE_VARIABLE=y
CONFIG_SYS_SUPPORTS_HUGETLBFS=y
# CONFIG_TRANSPARENT_HUGEPAGE is not set
CONFIG_HUGETLBFS=y
CONFIG_HUGETLB_PAGE=y

$ ll /sys/kernel/mm
total 0
drwxr-xr-x. 3 root root 0 Dec 16 03:40 hugepages
drwxr-xr-x. 2 root root 0 Dec 16 11:13 ksm


Fyi ...
... I tried with updated kernel as well, I see it's not enabled.

uanme:
[root@localhost ~]# uname -a
Linux localhost.localdomain 4.9.13-200.fc25.ppc64le #1 SMP Fri Mar 17 20:18:23 UTC 2017 ppc64le ppc64le ppc64le GNU/Linux

[root@localhost boot]# grep -i huge config-4.9.13-200.fc25.ppc64le 
CONFIG_CGROUP_HUGETLB=y
CONFIG_HAVE_ARCH_TRANSPARENT_HUGEPAGE=y
CONFIG_HUGETLB_PAGE_SIZE_VARIABLE=y
CONFIG_SYS_SUPPORTS_HUGETLBFS=y
# CONFIG_TRANSPARENT_HUGEPAGE is not set
CONFIG_HUGETLBFS=y
CONFIG_HUGETLB_PAGE=y

Comment 3 Fedora Update System 2017-04-04 15:17:35 UTC
kernel-4.11.0-0.rc5.git0.1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-24a8e7b9a5

Comment 4 Fedora Update System 2017-04-05 21:54:04 UTC
kernel-4.11.0-0.rc5.git0.1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-24a8e7b9a5

Comment 5 Fedora Update System 2017-04-07 21:25:39 UTC
kernel-4.11.0-0.rc5.git0.1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora End Of Life 2017-11-16 18:33:02 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:41:01 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.